Skip to main content
GET
/
connectors
/
consumers
/
{consumer_id}
/
accounts
/
payment
Gets Payment Account Listing
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/accounts/payment \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/accounts/payment"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/accounts/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "target_account": "FR7630006000011234567890189",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "owner_info": {
        "address": {
          "city": "Paris",
          "country": "France",
          "street": "<string>",
          "zip_code": 84120,
          "region": null
        },
        "name": null
      },
      "payout_account": "FR7630006000011234567890189",
      "status": true
    }
  ],
  "meta": {
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}
{
"errors": {},
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

Query Parameters

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100

Response

OK

items
object[]
meta
object